class LogEvent < ActiveRecord::Base
  belongs_to :player
  validates_presence_of :message
  validates_presence_of :player_id
  
  # Creates a new LogEvent
  def self.create(message)
    le = self.new
    le.message = message
    le    
  end
  
  # Pluralizes a noun if the amount is not one
  def self.pluralize(noun,amount)
    if amount == 1
      return noun.to_s
    else
      return noun.to_s.pluralize
    end
  end
end
